import requests
import os

def parse_share(msg):
    if len(msg.split()) > 1:
        try:
            res = ''
            for s in msg.split()[1:]:
                res = '{}\n\n{}'.format(res, get_stock(s))
        except:
            res = '```Please input valid shares: !stock [share_name]```'
        return res
    return '```Please input at least one valid share: !stock [share_name]```'


def get_stock(share_name):
    share_name = share_name.upper()
    token = os.getenv('stock_api_key')
    request_string = "https://fmpcloud.io/api/v3/quote/%s?apikey=%s" % (share_name, token)
    request = requests.get(request_string).json()[0]

    previous_close = request['previousClose']
    opening_price = request['open']
    current_price = request['price']
    change = request['change']
    day_low = request['dayLow']
    day_high = request['dayHigh']

    return "```Current price: $%s\nOpen: $%s\nPrevious close: $%s\nChange: $%s\nDay low: $%s\nDay High: $%s```" % (current_price, opening_price, previous_close, change, day_low, day_high)